	implicit none
        real x, y, e,f,g,h
        double precision A, B, C, U
        integer i
        e = 4.e0/3.e0
        f = e-1.e0
        g = f+f+f
        h =  abs(g-1.e0)
        write(*,*) 'machine unit roundoff (sp) = ', h
        A = 4.d0/3.d0
        B = A-1.d0
        C = B+B+B
        U = dabs(C-1.d0)
        write(*,*) 'machine unit roundoff (dp) = ', U
        x = 0.e0
        y = 0.e0
        do i = 1, 100000000
           x = x + 1.e0/sngl(i)
           if (x-y .eq. 0.e0) then
              write(*,*) 'i = ',i,'  s  =  ', x
              stop
           endif
           y = x
        end do 
        end
